<html>
<head>

<title>empty</title>

<script type="text/JavaScript">
// =============== Initialize variables ===================
var permAudio = true;
var questionCounter = 0;
var correctCounter = 0;
var currentPage = 1;
var Branch1 = 0;
var Branch1a = 0;
var Branch1b = 0;
var Branch1c = 0;
var Branch1d = 0;
var Branch2 = 0;
var Branch3 = 0;
var Branch4 = 0;
var Branch5 = 0;
var Branch6 = 0;
var Branch7 = 0;
var Branch8 = 0;
var Branch9 = 0;
var Branch10 = 0;
var Branch11 = 0;
var Branch12 = 0;
var Branch13 = 0;
var Branch14 = 0;
var Branch15 = 0;
var BrchRtrn = 0;
var apiIsInitialized = false;
var bookmarkchecked = false;
var currentValue;
var ccPop;
var look;
var narration = new Object();
var storageObj = new Object();
var crsBranchMap = "";
var questionData = new Object();
var currentTime = new Date(); 
var startTime = currentTime.getTime();
var currentData = new Object();
currentData.names = new Array();
currentData.feedback = new Array();
var senarioData = new Object();
var section508 = false;
var thisCurrentValue = false;
var pages_array = new Array();
var pages_names = "{%pages_array_names%}";
var page_names_array = new Array();
page_names_array = pages_names.split("|");
var pages_urls = "{%pages_array_urls%}";
var page_urls_array = new Array();
page_urls_array = pages_urls.split("|");
for(var i = 0; i <= page_names_array.length - 1; i++){
	pages_array.push(i);
	pages_array[i] = new Array();
	pages_array[i].push(page_names_array[i]);
	pages_array[i].push(page_urls_array[i]);
}

// =======================================================

function fillVars() {
    parent.topEmpty.userName = top.userName;
    parent.topEmpty.audioState = "on";
}

</script>

<script type="text/javascript" src="../../knowledgeCheckCode.js"></script>

<script type="text/javascript">

    // ========== LOAD SCOMAP ============	
	var xmlDoc;	
	var xmlhttp=false;	
	isLocal=false;
	
	var isIE = -1;
	if (navigator.appName == 'Microsoft Internet Explorer')
	{
		var ua = navigator.userAgent;
		var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
		if (re.exec(ua) != null)
		isIE = parseFloat( RegExp.$1 );
	}	

	/* running locally on IE6, IE7 */      
     if(location.protocol=="file:"){
      if(!xmlhttp)try{ xmlhttp=new ActiveXObject("MSXML2.XMLHTTP"); }catch(e){xmlhttp=false;}
      if(!xmlhttp)try{ xmlhttp=new ActiveXObject("Microsoft.XMLDOM");; }catch(e){xmlhttp=false;}
	  isLocal=true;
     }                                                                                ; 
   /* IE7, Firefox, Safari, Opera, Chrome...  */
     if(!xmlhttp)try{ xmlhttp=new XMLHttpRequest(); }catch(e){xmlhttp=false;}
   /* IE6 */
     if(typeof ActiveXObject != "undefined"){
      if(!xmlhttp)try{ xmlhttp=new ActiveXObject("MSXML2.XMLHTTP"); }catch(e){xmlhttp=false;}
      if(!xmlhttp)try{ xmlhttp=new ActiveXObject("Microsoft.XMLHTTP"); }catch(e){xmlhttp=false;}
     }
	
	if(isLocal==true && isIE!=-1) {
		xmlDoc = new ActiveXObject("Microsoft.XMLDOM");		
		xmlDoc.async = "false";
		xmlDoc.load("scomap.xml");
	} else {
		xmlhttp.open("GET","scomap.xml",false);
		xmlhttp.onreadystatechange=function(){
		if(xmlhttp.readyState!=4)return;

		};//onreadystatechange
		xmlhttp.send(null);
	
		xmlDoc=xmlhttp.responseXML;	
	}
    // =====================================

    function doContinue(){
	    this.top.close();
    }

    function doPrevious(){
		this.top.close();
    }
    
</script> 


</head>

{%customEmpty%}

<body onLoad="fillVars();">

</body>

</html>
